;=========================================================================
(defun c:rewizjadzisiaj ( / MHSelMember ECHO_MEMBER)
(if (mh:qawa)
	(progn

		(setq MHSelMember (mh:SYS_GetSelection))
		(setq ECHO_MEMBER (getvar "CMDECHO"))
		(setvar "CMDECHO" 0)
		(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)

			;=============================================================
			(if (null (tblsearch "Layer" (strcat "IS_rewizja_" (mh:getdate))))
				(mh:ACX_MAKE_Layer (strcat "IS_rewizja_" (mh:getdate)) 1 "Continuous" 35 "False" nil)
			);if
			;=============================================================
			(if MHSelMember
				(foreach % (mh:CON_entity2vlaobject MHSelMember)
					(vla-put-Layer % (strcat "IS_rewizja_" (mh:getdate)))
				)
				(setvar "CLAYER" (strcat "IS_rewizja_" (mh:getdate)))
			)
			;=============================================================

		(setvar "CMDECHO" ECHO_MEMBER)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rewscalaj ( / % MyLayer nazwanadzis EElist %1 ssWARSTWA)
(if (mh:qawa)
	(progn

		(c:rewizjadzisiaj)
		(mh:ustzap)

		; odblokowa i odmrozi warstwy
			(foreach % (mh:GetLayers "IS_rewizja_*")
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(if (or
						(= :vlax-false (vla-get-layeron MyLayer))
						(= 0 (vla-get-layeron MyLayer))
					)
					(vla-put-layeron MyLayer :vlax-true)
				)
				(if (or
						(= :vlax-true (vla-get-lock MyLayer))
						(= -1 (vla-get-lock MyLayer))
					)
					(vla-put-lock MyLayer :vlax-false)
				)
				(if (or
						(= :vlax-true (vla-get-freeze MyLayer))
						(= -1 (vla-get-freeze MyLayer))
					)
					(vla-put-freeze MyLayer :vlax-false)
				)
			)
		;=========================================================================
		(setq nazwanadzis (strcat "IS_rewizja_" (mh:getdate)))	
		;=========================================================================
		; zmieni warstw obiektw na aktualn rewizj
		(foreach % (mh:GetLayers "IS_rewizja_*")
			(if (setq ssWARSTWA (ssget "_x" (list (cons 8 %))))
				(progn
					(setq EElist (mh:CON_ss2vlaobject ssWARSTWA))
					(foreach %1 EElist
						(vla-put-layer %1 nazwanadzis)
					)
				);progn
			);if
		)
		;=========================================================================
		; skasowa niepotrzebne warstwy -----------------sprawdzi najpierw czy si da skasowa.
		(foreach % (mh:GetLayers "IS_rewizja_*")
			(if (/= % nazwanadzis)
				(vl-catch-all-apply 'vla-delete (list (vla-item (mh:ACX_LayersCollection) %)))
			);if
		)

		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rewONOFF ( / % MyLayer)
(if (mh:qawa)
	(progn

		(mh:ustzap)
		(if (mh:GetLayers "*_rewizja_*") ; jeeli s warstwy
			(if	(or
					(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "*_rewizja_*")))) :vlax-true)
					(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "*_rewizja_*")))) -1)
				)
				(progn
					(foreach % (mh:GetLayers "*_rewizja_*") ;wyczenie wszystkich warstw rewizji
						(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
						(vla-put-layeron MyLayer :vlax-false)
					)
					;(if (tblsearch "LAYER" "IS_znacznik")
					;	(vla-put-layeron (vla-item (mh:ACX_LayersCollection) "IS_znacznik") :vlax-false)
					;)
					;(if (tblsearch "LAYER" "IS_rzutnia_niewidoczna")
					;	(vla-put-layeron (vla-item (mh:ACX_LayersCollection) "IS_rzutnia_niewidoczna") :vlax-false)
					;)
					(princ (nth *lang* (list "\n--- Wyczono warstwy rewizji. ---" "\n--- The revision layers has been turn OFF. ---")))	;LANG;
					
				)
				(progn
					(foreach % (mh:GetLayers "*_rewizja_*") ;wczenie wszystkich warstw rewizji
						(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
						(vla-put-layeron MyLayer :vlax-true)
					)
					;(if (tblsearch "LAYER" "IS_znacznik")
					;	(vla-put-layeron (vla-item (mh:ACX_LayersCollection) "IS_znacznik") :vlax-true)
					;)
					;(if (tblsearch "LAYER" "IS_rzutnia_niewidoczna")
					;	(vla-put-layeron (vla-item (mh:ACX_LayersCollection) "IS_rzutnia_niewidoczna") :vlax-true)
					;)
					(princ (nth *lang* (list "\n--- Wczono warstwy rewizji. ---" "\n--- The revision layers has been turn ON. ---")))	;LANG;
				)
			)
		)
		(mh:ustprzywr)

	);progn (mh:qawa)
	
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun old:mhkolor ( / mh_CadObj mh_acd_doc mh_LayerTable AX_Layer listawarstw warstwa kolor1 kolor2 tryb)
(if (mh:qawa)
	(progn

	(mh:ustzap)


	;=============================================================
	(vl-load-com)
	(setq	mh_CadObj		(vlax-get-acad-object)
			mh_acd_doc		(vla-get-activedocument mh_CadObj)
			mh_LayerTable	(vla-get-layers mh_acd_doc)
	);setq
	;=============================================================


		(setq listawarstw
			(list 
				'("IS_opisy" 41 7)
				'("IS_podklady" 251 253)
				'("IS_sciany" 251 253)
				'("IS_tabela" 11 7)
				'("IS_tabelka" 91 7)
				'("IS_teren" 61 7)
				'("IS_bateria_woda" 121 7)
				'("IS_biala_armatura" 91 7)
				'("IS_ELS_opisy" 41 7)
				'("IS_gaz_opisy" 41 7)
				'("IS_PPOZ_opisy" 21 7)
				'("IS_KOTY" 41 7)
				'("IS_kreskowania" 11 7)
				'("IS_opis_KS" 51 7)
				'("IS_PPOZ_opisy" 21 7)
				'("IS_schemat_opisy" 121 7)
				'("IS_schemat_rurociagi" 171 7)
				'("IS_schemat_rurociagi_powrot" 171 7)
				'("IS_rury_czarne_os" 51 7)
				'("IS_ROS" 171 7)
				'("IS_teren_kreski_trawa" 61 7)
				'("IS_teren_kreski_kostka_m" 241 7)
				'("IS_teren_kreski_kostka" 241 7)
				'("IS_teren_kreski_trawa_m" 61 7)
				'("IS_PZT_ROS" 11 7)
				'("IS_rzutnia" 171 7)
				'("IS_PZT_opisy" 21 7)
				'("IS_klapa_ppoz" 171 7)
				'("IS_przebicia" 221 7)
				'("IS_przebicia_opis" 221 7)
				'("IS_rury_czarne_os" 51 7)
				'("IS_teren" 61 7)
				'("DR_konstrukcyjne" 171 7)
				'("DR_normalne" 171 7)
				'("DR_profilek_opisy" 141 7)
				'("DR_profilek_sieci" 171 7)
				'("DR_profilek_tabela" 171 7)
				'("DR_pzt_krawniki" 151 7)
				'("DR_pzt_obrzea_6x20" 211 7)
				'("DR_pzt_obrzea_8x30" 191 7)
				'("DR_pzt_ogrodzenie" 31 7)
				'("DR_pzt_opisy" 41 7)
				'("DR_pzt_osie" 51 7)
				'("DR_pzt_rzedne_istn" 91 7)
				'("DR_pzt_rzedne_proj" 211 7)
				'("DR_pzt_skarpa" 41 7)
				'("DR_pzt_wymiar" 41 7)
				'("DR_pzt_znaki_istn" 221 7)
				'("DR_pzt_znaki_proj" 161 7)
				'("DR_ramka" 91 7)
				'("DR_rz_wymiary" 41 7)
				'("DR_pzt_spadki" 171 7)
				'("DR_tabelka" 91 7)
				'("DR_wymiar" 41 7)
			);list
		);setq

		(setq tryb (mh:GetChoisText (nth *lang* (list "\nWybierz tryb zmiany koloru:" "\nChoose a color change mode:")) (list (nth *lang* (list "Praca" "Work")) (nth *lang* (list "Druk" "Print"))) (nth *lang* (list "Praca" "Work"))))	;LANG;
		
		
	(foreach % listawarstw

		(setq	warstwa (nth 0 %)
				kolor1 (nth 1 %)
				kolor2 (nth 2 %)
		);setq

		
		(if (tblsearch "Layer" warstwa)
			(if (= tryb "Druk") 
				(progn
					(setq AX_Layer (vla-item mh_LayerTable warstwa))
					(vla-put-Color AX_Layer kolor2)
					(princ ".")
				)
				(progn
					(setq AX_Layer (vla-item mh_LayerTable warstwa))
					(vla-put-Color AX_Layer kolor1)
					(princ ".")
				)
			);if
		);if
		
	);foreach
	(princ "\n")
	(vla-Regen (mh:ACX_ActivDocument) acAllViewports) ;regen spowalnia cae polecenie
	(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun mhkolor
;=========================================================================

;=========================================================================
(defun c:mhkolor ( / mh_CadObj mh_acd_doc mh_LayerTable AX_Layer % listawarstw warstwa kolor1 kolor2 tryb)
(if (mh:qawa)
	(progn

		(mh:ustzap)

		;=============================================================
		(vl-load-com)
		(setq	mh_CadObj		(vlax-get-acad-object)
				mh_acd_doc		(vla-get-activedocument mh_CadObj)
				mh_LayerTable	(vla-get-layers mh_acd_doc)
		);setq
		;=============================================================

		(foreach % (mh:listawarstw)
			(if (or
					(= (nth 1 %) 11)
					(= (nth 1 %) 21)
					(= (nth 1 %) 31)
					(= (nth 1 %) 41)
					(= (nth 1 %) 51)
					(= (nth 1 %) 61)
					(= (nth 1 %) 71)
					(= (nth 1 %) 81)
					(= (nth 1 %) 91)
					(= (nth 1 %) 101)
					(= (nth 1 %) 111)
					(= (nth 1 %) 121)
					(= (nth 1 %) 131)
					(= (nth 1 %) 141)
					(= (nth 1 %) 151)
					(= (nth 1 %) 161)
					(= (nth 1 %) 171)
					(= (nth 1 %) 181)
					(= (nth 1 %) 191)
					(= (nth 1 %) 201)
					(= (nth 1 %) 211)
					(= (nth 1 %) 221)
					(= (nth 1 %) 231)
					(= (nth 1 %) 241)
				)
				(setq listawarstw (cons (list (nth 0 %) (nth 1 %) 7) listawarstw))
			)
		)
	
		(foreach % (mh:listawarstw)
			(if	(= (nth 1 %) 251)
				(setq listawarstw (cons (list (nth 0 %) (nth 1 %) 253) listawarstw))
			)
		)
			
		(setq tryb (mh:GetChoisText (nth *lang* (list "\nWybierz tryb zmiany koloru:" "\nChoose a color change mode:")) (list (nth *lang* (list "Praca" "Work")) (nth *lang* (list "Druk" "Print"))) (nth *lang* (list "Praca" "Work"))))	;LANG;
			
			
		(foreach % listawarstw

			(setq	warstwa (nth 0 %)
					kolor1 (nth 1 %)
					kolor2 (nth 2 %)
			);setq

			
			(if (tblsearch "Layer" warstwa)
				(if (= tryb (nth *lang* (list "Druk" "Print")))	;LANG;
					(progn
						(setq AX_Layer (vla-item mh_LayerTable warstwa))
						(vla-put-Color AX_Layer kolor2)
						(princ ".")
					)
					(progn
						(setq AX_Layer (vla-item mh_LayerTable warstwa))
						(vla-put-Color AX_Layer kolor1)
						(princ ".")
					)
				);if
			);if
			
		);foreach
		(princ "\n")
		(vla-Regen (mh:ACX_ActivDocument) acAllViewports) ;regen spowalnia cae polecenie
		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun mhkolor
;=========================================================================

;=========================================================================
(defun c:popraw_instalsoft_old ( / listawarstw warstwa kolor styllinii grubosclinii)
(if (mh:qawa)
(progn

(mh:ustzap)

(setq listawarstw
		(list 
			'("IS_Armatura_podczeniowa_grz._dolnozas." 7 "Continuous" "0.18")
			'("IS_Armatura_Therm" 7 "Continuous" "0.18")
			'("IS_Grafika" 7 "Continuous" "0.18")
			'("IS_Grzejniki_Plan_rzut" 1 "Continuous" "0.18")
			'("IS_Inne_Urzadzenia_Therm" 7 "Continuous" "0.18")
			'("IS_Konstrukcja" 251 "Continuous" "0.18")
			'("IS_Okna_Drzwi" 251 "Continuous" "0.18")
			'("IS_Opisy_dziaek_Therm" 7 "Continuous" "0.18")
			'("IS_Podkad" 251 "Continuous" "0.18")
			'("IS_Powrt" 5 "IS_przerwa_v008" "0.35")
			'("IS_Text_Armatury_podczeniowej_grz._dolnozas." 7 "Continuous" "0.18")
			'("IS_Text_Armatury_Therm" 241 "Continuous" "0.18")
			'("IS_Text_Konstrukcji" 30 "Continuous" "0.18")
			'("IS_Text_Odbiornikow_Therm" 11 "Continuous" "0.18")
			'("IS_Zasilanie" 1 "Continuous" "0.35")
			'("IS_Armatura_Wodociag" 7 "Continuous" "0.18")
			'("IS_Ciepa_woda" 1 "IS_przerwa_v007" "0.35")
			'("IS_Cyrkulacja" 6 "IS_cyrkulacja_V100" "0.35")
			'("IS_Inne_Urzadzenia_Wodociag" 7 "Continuous" "0.18")
			'("IS_Odbiorniki" 91 "Continuous" "0.18")
			'("IS_Opisy_dziaek_Wodociag" 7 "Continuous" "0.18")
			'("IS_Text_Armatury_Wodociag" 7 "Continuous" "0.18")
			'("IS_Text_Innych_Urzadzen_Wodociag" 7 "Continuous" "0.18")
			'("IS_Zimna_woda" 5 "Continuous" "0.35")
			'("IS_Ogrzewanie_paszczyznowe" 1 "Continuous" "0.09")
			'("IS_Ogrzewanie_paszczyznowe_-_opis" 11 "Continuous" "0.09")
			'("IS_Odbiornik_o_narzuconym_oporze_Plan_rzut" 1 "Continuous" "0.18")
			'("IS_Przycza_o.p._Powrt" 5 "IS_przerwa_v007" "0.09")
			'("IS_Przycza_o.p._Zasilanie" 1 "Continuous" "0.09")		
			'("IS_Rys.ptli_o.p._Powrt" 5 "IS_przerwa_v007" "0.09")
			'("IS_Rys.ptli_o.p._Zasilanie" 1 "Continuous" "0.09")
			'("IS_Tabelka_rozdzielacza" 81 "Continuous" "0.09")
			'("IS_Odbiornik_o_narzuconym_oporze_Rozwinicie" 7 "Continuous" "0.18")
			
			'("IS_Inne_Urzadzenia_kanalizacja" 34 "Continuous" "0.18")
		);list
);setq

;=============================================================
(if (tblsearch "Style" "IS_SIMPLEX")
  (command "_textstyle" "IS_SIMPLEX")
 (progn
	(command "_-style"
		"TEMP-STYLE" "simplex.shx" "" "0.7" "" "" "" "")
	(command "_rename" "_S" "TEMP-STYLE" "IS_SIMPLEX")
 );progn
);if	
;=============================================================
(if (null (tblsearch "Ltype" "IS_przerwa_v007"))
		(command "_-linetype" "_l" "IS_przerwa_v007" "profilek"  "")
);if
;=============================================================
(if (null (tblsearch "Ltype" "IS_przerwa_v008"))
		(command "_-linetype" "_l" "IS_przerwa_v008" "profilek"  "")
);if
;=============================================================
(if (null (tblsearch "Ltype" "IS_cyrkulacja_V100"))
		(command "_-linetype" "_l" "IS_cyrkulacja_V100" "profilek"  "")
);if
;=============================================================
	
(foreach % listawarstw

	(setq	warstwa (nth 0 %)
			kolor (nth 1 %)
			styllinii (nth 2 %)
			grubosclinii (nth 3 %)
	);setq

	(if (tblsearch "Layer" warstwa)
		(progn
			(command "_-layer"	"_C" kolor warstwa 
								"_L" styllinii warstwa
								"_LW" grubosclinii warstwa
								"")
			(princ ".")
		);progn
	);if
	
);foreach
	
(mh:ustprzywr)  

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)	
);defun
;=========================================================================

;=========================================================================
(defun c:popraw_instalsoft_old2 ( / wyb1 listawarstw % AX_Layer MHLON MHLLOCK MHLLFREZE siec kolorhatch) 
(if (mh:qawa)
(progn

(mh:ustzap)

(c:usstawar)

	;=========================================================================
		 (setq wyb1 (mh:GetChoisText "\nZmieni wszystkie elementy na \"jak warstwa\"? " (list "Tak" "Nie" "Bez105") "Bez105"))
			(if (= wyb1 "Tak")
				(progn
					(if (or
							(= (getvar "PRODUCT") "AutoCad")
							(= (getvar "PRODUCT") "GstarCAD")
						);or
						(progn
							(setvar "SETBYLAYERMODE" 125)
							(command "_setbylayer" "_all" "" "_y" "_y")
						)
						(progn
							(c:mhSetByLayer)
						)
					)
				)
			)
			
			(if (= wyb1 "Bez105")
				(c:mhSetByLayerbez95)
			)
			
		
	;=========================================================================
		(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil nil)
		(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil nil)
	;=========================================================================

(setq listawarstw
		(list 
			'("IS_Armatura_podczeniowa_grz._dolnozas." 7 "Continuous" 18 1)
			'("IS_Armatura_Therm" 7 "Continuous" 18 1)
			'("IS_Grafika" 171 "Continuous" 18 1)
			'("IS_Grzejniki_Plan_rzut" 1 "Continuous" 18 1)
			'("IS_Inne_Urzadzenia_Therm" 7 "Continuous" 18 1)
			'("IS_Konstrukcja" 251 "Continuous" 18 1)
			'("IS_Okna_Drzwi" 251 "Continuous" 18 1)
			'("IS_Opisy_dziaek_Therm" 7 "Continuous" 20 1)
			'("IS_Podkad" 251 "Continuous" 18 1)
			'("IS_Powrt" 5 "IS_przerwa_v008" 40 1)
			'("IS_Text_Armatury_podczeniowej_grz._dolnozas." 7 "Continuous" 18 1)
			'("IS_Text_Armatury_Therm" 241 "Continuous" 18 1)
			'("IS_Text_Konstrukcji" 30 "Continuous" 18 1)
			'("IS_Text_Odbiornikow_Therm" 11 "Continuous" 18 1)
			'("IS_Zasilanie" 1 "Continuous" 40 1)
			'("IS_Armatura_Wodociag" 7 "Continuous" 18 1)
			'("IS_Ciepa_woda" 1 "IS_przerwa_v007" 35 1)
			'("IS_Cyrkulacja" 6 "IS_cyrkulacja_V100" 35 1)
			'("IS_Inne_Urzadzenia_Wodociag" 7 "Continuous" 18 1)
			'("IS_Odbiorniki" 91 "Continuous" 18 1)
			'("IS_Opisy_dziaek_Wodociag" 7 "Continuous" 18 1)
			'("IS_Text_Armatury_Wodociag" 7 "Continuous" 18 1)
			'("IS_Text_Odbiornikow_Wodociag" 7 "Continuous" 18 1)
			'("IS_Text_Innych_Urzadzen_Wodociag" 7 "Continuous" 18 1)
			'("IS_Zimna_woda" 5 "Continuous" 35 1)
			'("IS_Ogrzewanie_paszczyznowe" 86 "Continuous" 09 1)
			'("IS_Ogrzewanie_paszczyznowe_-_opis" 11 "Continuous" 09 1)
			'("IS_Odbiornik_o_narzuconym_oporze_Plan_rzut" 1 "Continuous" 18 1)
			'("IS_Przycza_o.p._Powrt" 5 "IS_przerwa_v007" 09 1)
			'("IS_Przycza_o.p._Zasilanie" 1 "Continuous" 09 1)		
			'("IS_Rys.ptli_o.p._Powrt" 5 "IS_przerwa_v007" 09 1)
			'("IS_Rys.ptli_o.p._Zasilanie" 1 "Continuous" 09 1)
			'("IS_Tabelka_rozdzielacza" 81 "Continuous" 09 1)
			'("IS_Odbiornik_o_narzuconym_oporze_Rozwinicie" 7 "Continuous" 18 1)
			
			'("IS_Inne_Urzadzenia_kanalizacja" 34 "Continuous" 18 1)
			'("IS_Bez_przepywu_medium" 6 "Continuous" 35 1)
			'("IS_Tabelka_projektu" 7 "Continuous" 30 1)
			'("IS_Rozdzielacze_Powrt" 5 "Continuous" 25 1)
			'("IS_Rozdzielacze_Zasilanie" 1 "Continuous" 25 1)	
			
			'("IS_kanalizacja_deszczowa" 3 "IS_przerwa_v030" 35 1)
			'("IS_kanalizacja_sanitarna" 34 "IS_przerwa_v030" 35 1)
			'("IS_Wze_sieci_kanalizacyjnej" 91 "Continuous" 18 1)
			'("IS_Wze_sieci_kanalizacyjnej_-_opisy" 11 "Continuous" 18 1)
			
			'("IS_Kolizje" 211 "Continuous" 18 1)
			'("IS_Kolizje_-_opisy" 211 "Continuous" 18 1)
			'("IS_Sieci_na_profilu" 24 "Continuous" 35 1)
			'("IS_Tabelka_profilu" 11 "Continuous" 18 1)
			'("IS_Tabelka_profilu_-_opisy" 41 "Continuous" 18 1)
			'("IS_Teren_ist" 161 "IS_przerwa_v007" 18 1)
			'("IS_Teren_proj" 161 "Continuous" 18 1)
			'("IS_Wzy_sieci_wodocigowej" 141 "Continuous" 18 1)
			'("IS_Wzy_sieci_wodocigowej_-_opisy" 141 "Continuous" 18 1)
			'("IS_wodocig" 5 "IS_przerwa_v030" 35 1)
			

		);list
);setq


	;=========================================================================
	(foreach % listawarstw
		(if (tblsearch "Layer" (nth 0 %))
			(progn
				;-----
				(if (null (tblsearch "Ltype" (nth 2 %)))
					(mh:ACX_LoadLineType "profilek.lin" (nth 2 %) nil)
				)
				;-----
				
				
								(setq AX_Layer (vla-item (mh:ACX_LayersCollection) (nth 0 %)))
								
								(if (= :vlax-false (vla-get-layeron AX_Layer))
									(progn
										(setq MHLON "tak")
										(vla-put-layeron AX_Layer :vlax-true)
									);progn
									(setq MHLON "nie")
								);if
								
								(if (= :vlax-true (vla-get-lock AX_Layer))
									(progn
										(setq MHLLOCK "tak")
										(vla-put-lock AX_Layer :vlax-false)
									);progn
									(setq MHLLOCK "nie")
								);if
							
								(if (= :vlax-true (vla-get-freeze AX_Layer))
									(progn
										(setq MHLLFREZE "tak")
										(vla-put-freeze AX_Layer :vlax-false)
									);progn
									(setq MHLLFREZE "nie")
								);if
								
								
													(vla-put-Color AX_Layer (nth 1 %))
													(vla-put-LineType AX_Layer (nth 2 %))
													(vla-put-LineWeight AX_Layer (nth 3 %))
													(if (= 1 (nth 4 %))
														(vla-put-Plottable AX_Layer :vlax-true)
														(vla-put-Plottable AX_Layer :vlax-false)
													)
				

							(if (= MHLON "tak")
								(vla-put-layeron AX_Layer :vlax-false)
							)
							
							(if (= MHLLOCK "tak")
								(vla-put-lock AX_Layer :vlax-true)
							)
							
							(if (= MHLLFREZE "tak")
								(vla-put-freeze AX_Layer :vlax-true)
							)
				
					
			);progn
		)
	)
	;=========================================================================
		(if (tblsearch "Layer" "IS_Sieci_na_profilu")
			(progn
				(setq siec (mh:GetChoisText "\nJakiej instalacji doziemnej jest to profil? " (list "Sanitarka" "Deszczwka" "Wodocig" "Gaz") "Sanitarka"))
				(if (= siec "Deszczwka")
					(vla-put-Color (vla-item (mh:ACX_LayersCollection) "IS_Sieci_na_profilu") 3)
				)
				(if (= siec "Wodocig")
					(vla-put-Color (vla-item (mh:ACX_LayersCollection) "IS_Sieci_na_profilu") 5)
				)
				(if (= siec "Gaz")
					(vla-put-Color (vla-item (mh:ACX_LayersCollection) "IS_Sieci_na_profilu") 42)
				)
			)
		)
	;=========================================================================
	(setq kolorhatch (mh:GetChoisText "\nZmieni kolor HATCHw na 255? " '("Tak" "Nie" "Bez105") "Bez105"))
	
		(if (= "Bez105" kolorhatch)
			(if (ssget "_x" (list (cons 0 "HATCH")))

				;(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list 
				;												(cons -4  "<AND")
				;													(cons 0 "HATCH")
				;													(cons -4  "<AND") 
				;														(cons -4 "<NOT")
				;															(cons 62 1)
				;														(cons -4 "NOT>")
				;														(cons -4 "<NOT")
				;															(cons 62 105)
				;														(cons -4 "NOT>")
				;													(cons -4 "AND>")
				;												(cons -4 "AND>")
				;											)
				;								)
				;			)
				;		(vl-catch-all-apply 'vla-put-color (list % 255))
				;)
				
				;(progn
					(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "HATCH")  (cons -4 "<NOT") (cons 62 105) (cons -4 "NOT>"))))
							(vl-catch-all-apply 'vla-put-color (list % 255))
					)
					;(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "HATCH")  (cons -4 "<NOT") (cons 62 1) (cons -4 "NOT>"))))
					;		(vl-catch-all-apply 'vla-put-color (list % 255))
					;)
					;(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "HATCH")  (cons -4 "<NOT") (cons 62 1) (cons -4 "NOT>") (cons -4 "<NOT") (cons 62 105) (cons -4 "NOT>"))))
					;		(vl-catch-all-apply 'vla-put-color (list % 255))
					;)
				;)
				; (ssget "_x" (list (cons 0 "HATCH")))
				; (ssget "_x" (list (0 . "HATCH") (-4 . "<NOT") (62 . 1) (-4 . "NOT>")))
				; (ssget "_x" '( (0 . "HATCH") (-4 . "<NOT") (62 . 1) (-4 . "NOT>")))
			)
		)
		
		(if (= "Tak" kolorhatch)
			(if (ssget "_x" (list (cons 0 "HATCH")))
				(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "HATCH"))))
						(vl-catch-all-apply 'vla-put-color (list % 255))
				)
			)
		)
	;=========================================================================
	
	
	
(mh:ustprzywr) 

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ) 	
);defun
;=========================================================================

;=========================================================================
(defun c:popraw_instalsoft ( / wyb1 listawarstw % AX_Layer MHLON MHLLOCK MHLLFREZE siec kolorhatch) 
(if (mh:qawa)
	(progn
		(mh:ustzap)
		;=========================================================================
		(mh:SYS_PurgeAll)
		(mh:SYS_Audit)
		(mh:DelLayStates)
		(mh:DelLayFilters)
		(command "_-SCALELISTEDIT" "_r" "_y" "_e")
		;=========================================================================
		(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil nil)
		(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil nil)
		;=========================================================================
		(setq wyb1 (mh:GetChoisText "\nZmieni wszystkie elementy na \"jak warstwa\"? " '("Tak" "Nie" "Bez105") "Tak"))
		(if (= wyb1 "Tak")
			(progn
				(if (or
						(= (getvar "PRODUCT") "AutoCad")
						(= (getvar "PRODUCT") "GstarCAD")
					);or
					(progn
						(setvar "SETBYLAYERMODE" 125)
						(command "_setbylayer" "_all" "" "_y" "_y")
					)
					(progn
						(c:mhSetByLayer)
					)
				)
			)
		);if
		(if (= wyb1 "Bez105")
			(c:mhSetByLayerbez95)
		);if
		;=========================================================================	
		(setq listawarstw
				(list 
					'("IS_Armatura_podczeniowa_grz._dolnozas." 7 "Continuous" 18 1)
					'("IS_Armatura_Therm" 7 "Continuous" 18 1)
					'("IS_Grafika" 171 "Continuous" 18 1)
					'("IS_Grzejniki_Plan_rzut" 1 "Continuous" 18 1)
					'("IS_Inne_Urzadzenia_Therm" 7 "Continuous" 18 1)
					'("IS_Konstrukcja" 251 "Continuous" 18 1)
					'("IS_Okna_Drzwi" 251 "Continuous" 18 1)
					'("IS_Opisy_dziaek_Therm" 7 "Continuous" 20 1)
					'("IS_Podkad" 251 "Continuous" 18 1)
					'("IS_Powrt" 5 "IS_przerwa_v008" 40 1)
					'("IS_Text_Armatury_podczeniowej_grz._dolnozas." 7 "Continuous" 18 1)
					'("IS_Text_Armatury_Therm" 241 "Continuous" 18 1)
					'("IS_Text_Konstrukcji" 30 "Continuous" 18 1)
					'("IS_Text_Odbiornikow_Therm" 11 "Continuous" 18 1)
					'("IS_Zasilanie" 1 "Continuous" 40 1)
					'("IS_Armatura_Wodociag" 7 "Continuous" 18 1)
					'("IS_Ciepa_woda" 1 "IS_przerwa_v007" 35 1)
					'("IS_Cyrkulacja" 6 "IS_cyrkulacja_V100" 35 1)
					'("IS_Inne_Urzadzenia_Wodociag" 7 "Continuous" 18 1)
					'("IS_Odbiorniki" 91 "Continuous" 18 1)
					'("IS_Opisy_dziaek_Wodociag" 7 "Continuous" 18 1)
					'("IS_Text_Armatury_Wodociag" 7 "Continuous" 18 1)
					'("IS_Text_Odbiornikow_Wodociag" 7 "Continuous" 18 1)
					'("IS_Text_Innych_Urzadzen_Wodociag" 7 "Continuous" 18 1)
					'("IS_Zimna_woda" 5 "Continuous" 35 1)
					'("IS_Ogrzewanie_paszczyznowe" 86 "Continuous" 09 1)
					'("IS_Ogrzewanie_paszczyznowe_-_opis" 11 "Continuous" 09 1)
					'("IS_Odbiornik_o_narzuconym_oporze_Plan_rzut" 1 "Continuous" 18 1)
					'("IS_Przycza_o.p._Powrt" 5 "IS_przerwa_v007" 09 1)
					'("IS_Przycza_o.p._Zasilanie" 1 "Continuous" 09 1)		
					'("IS_Rys.ptli_o.p._Powrt" 5 "IS_przerwa_v007" 09 1)
					'("IS_Rys.ptli_o.p._Zasilanie" 1 "Continuous" 09 1)
					'("IS_Tabelka_rozdzielacza" 81 "Continuous" 09 1)
					'("IS_Odbiornik_o_narzuconym_oporze_Rozwinicie" 7 "Continuous" 18 1)
					
					'("IS_Inne_Urzadzenia_kanalizacja" 34 "Continuous" 18 1)
					'("IS_Bez_przepywu_medium" 6 "Continuous" 35 1)
					'("IS_Tabelka_projektu" 7 "Continuous" 30 1)
					'("IS_Rozdzielacze_Powrt" 5 "Continuous" 25 1)
					'("IS_Rozdzielacze_Zasilanie" 1 "Continuous" 25 1)	
					
					'("IS_kanalizacja_deszczowa" 3 "IS_przerwa_v030" 35 1)
					'("IS_kanalizacja_sanitarna" 34 "IS_przerwa_v030" 35 1)
					'("IS_Wze_sieci_kanalizacyjnej" 91 "Continuous" 18 1)
					'("IS_Wze_sieci_kanalizacyjnej_-_opisy" 11 "Continuous" 18 1)
					
					'("IS_Kolizje" 211 "Continuous" 18 1)
					'("IS_Kolizje_-_opisy" 211 "Continuous" 18 1)
					'("IS_Sieci_na_profilu" 24 "Continuous" 35 1)
					'("IS_Tabelka_profilu" 11 "Continuous" 18 1)
					'("IS_Tabelka_profilu_-_opisy" 41 "Continuous" 18 1)
					'("IS_Teren_ist" 161 "IS_przerwa_v007" 18 1)
					'("IS_Teren_proj" 161 "Continuous" 18 1)
					'("IS_Wzy_sieci_wodocigowej" 141 "Continuous" 18 1)
					'("IS_Wzy_sieci_wodocigowej_-_opisy" 141 "Continuous" 18 1)
					'("IS_wodocig" 5 "IS_przerwa_v030" 35 1)
					

				);list
		);setq


		;=========================================================================
		(foreach % listawarstw
			(if (tblsearch "Layer" (nth 0 %))
				(progn
					;-----
					(if (null (tblsearch "Ltype" (nth 2 %)))
						(mh:ACX_LoadLineType "profilek.lin" (nth 2 %) nil)
					)
					;-----
					
					
					(setq AX_Layer (vla-item (mh:ACX_LayersCollection) (nth 0 %)))
					
					(if (= :vlax-false (vla-get-layeron AX_Layer))
						(progn
							(setq MHLON "tak")
							(vla-put-layeron AX_Layer :vlax-true)
						);progn
						(setq MHLON "nie")
					);if
					
					(if (= :vlax-true (vla-get-lock AX_Layer))
						(progn
							(setq MHLLOCK "tak")
							(vla-put-lock AX_Layer :vlax-false)
						);progn
						(setq MHLLOCK "nie")
					);if
				
					(if (= :vlax-true (vla-get-freeze AX_Layer))
						(progn
							(setq MHLLFREZE "tak")
							(vla-put-freeze AX_Layer :vlax-false)
						);progn
						(setq MHLLFREZE "nie")
					);if
									
						;;;;;;;;;;;;			
					(vla-put-Color AX_Layer (nth 1 %))
					(vla-put-LineType AX_Layer (nth 2 %))
					(vla-put-LineWeight AX_Layer (nth 3 %))
					(if (= 1 (nth 4 %))
						(vla-put-Plottable AX_Layer :vlax-true)
						(vla-put-Plottable AX_Layer :vlax-false)
					)
					;;;;;;;;;;;;;;;;;;;

					(if (= MHLON "tak")
						(vla-put-layeron AX_Layer :vlax-false)
					)
					
					(if (= MHLLOCK "tak")
						(vla-put-lock AX_Layer :vlax-true)
					)
					
					(if (= MHLLFREZE "tak")
						(vla-put-freeze AX_Layer :vlax-true)
					)
					
						
				);progn
			)
		)
		;=========================================================================
		(if (tblsearch "Layer" "IS_Sieci_na_profilu")
			(progn
				(setq siec (mh:GetChoisText "\nJakiej instalacji doziemnej jest to profil? " (list "Sanitarka" "Deszczwka" "Wodocig" "Gaz") "Sanitarka"))
				(if (= siec "Deszczwka")
					(vla-put-Color (vla-item (mh:ACX_LayersCollection) "IS_Sieci_na_profilu") 3)
				)
				(if (= siec "Wodocig")
					(vla-put-Color (vla-item (mh:ACX_LayersCollection) "IS_Sieci_na_profilu") 5)
				)
				(if (= siec "Gaz")
					(vla-put-Color (vla-item (mh:ACX_LayersCollection) "IS_Sieci_na_profilu") 42)
				)
			)
		)
		;=========================================================================
		(setq kolorhatch (mh:GetChoisText "\nZmieni kolor HATCHw na 255? " '("Tak" "Nie" "Bez105") "Nie"))
			(if (= "Bez105" kolorhatch)
				(if (ssget "_x" (list (cons 0 "HATCH")))
					(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "HATCH")  (cons -4 "<NOT") (cons 62 105) (cons -4 "NOT>"))))
							(vl-catch-all-apply 'vla-put-color (list % 255))
					)
				)
			);if
			
			(if (= "Tak" kolorhatch)
				(if (ssget "_x" (list (cons 0 "HATCH")))
					(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "HATCH"))))
							(vl-catch-all-apply 'vla-put-color (list % 255))
					)
				)
			);if
		;=========================================================================
		
		(mh:ustprzywr) 
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ) 	
);defun
;=========================================================================

;=========================================================================
(defun c:poprawwentyle ( / war01 war02 war03 war04 MyChLayer)
(if (mh:qawa)
	(progn

		(setq	war01	(mh:GetLayers "WEN_*-_ZLICZAC")
				war02	(mh:GetLayers "WEN_*-_ATRYBUT")
				war03	(mh:GetLayers "WEN_*-_OSIE")
				war04	(mh:GetLayers "WENTYLE_NIEZLICZAC")
		)

		(mh:ACX_LoadLineType "profilek.lin" "IS_osie_v004" nil)

		;=========================================================================
			(foreach % war01
				(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-LineWeight MyChLayer 35)
				(vla-put-LineType MyChLayer "Continuous") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
				(princ ".")
			);foreach
		;=========================================================================

		;=========================================================================
			(foreach % war02
				(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-Color MyChLayer 6)
				(vla-put-LineType MyChLayer "Continuous") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
				(vla-put-LineWeight MyChLayer 18)
				(princ ".")
			);foreach
		;=========================================================================

		;=========================================================================
			(foreach % war03
				(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-Color MyChLayer 41)
				(vla-put-LineType MyChLayer "IS_osie_v004") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
				(vla-put-LineWeight MyChLayer 18)
				(princ ".")
			);foreach
		;=========================================================================

		;=========================================================================
			(foreach % war04
				(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-Color MyChLayer 6)
				(vla-put-LineType MyChLayer "Continuous") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
				(vla-put-LineWeight MyChLayer 35)
				(princ ".")
			);foreach
		;=========================================================================

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:szaryxref ( / % kolor grubo )
	(if (mh:qawa)
		(progn

			(mh:ustzap)
			
			(setq	kolor	(mh:UiGetInt (nth *lang* (list "\nPodaj kolor warstw odnonikw: " "\nEnter the color of xref layers: ")) 251)	;LANG;
					grubo	(mh:GetChoisText (nth *lang* (list "\nPodaj grubo linii odnonika:" "\nEnter the lineweight of the xref layers:")) (list "000" "005" "009" "013" "015" "018" "020" "025" "030" "035" "040" (nth *lang* (list "BezZmian" "NoChange"))) (nth *lang* (list "BezZmian" "NoChange")))	;LANG;
			)
			
			(foreach % (mh:GetLayers "*|*")
				(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) kolor))
				(if (/= grubo (nth *lang* (list "BezZmian" "NoChange")))	;LANG;
					(vl-catch-all-apply 'vla-put-Lineweight (list (vla-item (mh:ACX_LayersCollection) %) (atoi grubo)))
				);if
			)
				
			(vla-Regen (mh:ACX_ActivDocument) acAllViewports)
				
			(mh:ustprzywr)
			
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
	(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:uswarniewid ( / % MyLayer EElist %1 ssWARSTWA te1 te2 te3)
(if (mh:qawa)
	(progn

		(mh:ustzap)

		(foreach % (mh:GetLayers "*")
			(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(if (or (= :vlax-false (vla-get-layeron MyLayer)) (= :vlax-true (vla-get-freeze MyLayer)))
					(progn
						(if (= :vlax-false (vla-get-layeron MyLayer))
							(progn
								(vla-put-layeron MyLayer :vlax-true)
								(setq te1 1)
							)
						)
						(if (= :vlax-true (vla-get-lock MyLayer))
							(progn
								(vla-put-lock MyLayer :vlax-false)
								(setq te2 1)
							)
						)
						(if (= :vlax-true (vla-get-freeze MyLayer))
							(progn
								(vla-put-freeze MyLayer :vlax-false)
								(setq te3 1)
							)
						)
						
						
						; skasowac obiekty z warstwy -- oprcz blokw
							(if (setq ssWARSTWA (ssget "_x" (list (cons 8 %) (cons -4 "<NOT")(cons 0 "INSERT")(cons -4 "NOT>"))))
								(progn
									(setq EElist (mh:CON_ss2vlaobject ssWARSTWA))
									(foreach %1 EElist
										(vl-catch-all-apply 'vla-delete (list %1))
									)
								);progn
							);if
						
						
						
						;skasowac warstw o ile si da
						(vl-catch-all-apply 'vla-delete (list (vla-item (mh:ACX_LayersCollection) %)))
					
						; jeeli warstwa jest to wyczy lub zamrozi (tak jak byo na pocztku)
						(if (= te1 1) (vl-catch-all-apply 'vla-put-layeron (list MyLayer :vlax-false)))
						(if (= te2 1) (vl-catch-all-apply 'vla-put-lock (list MyLayer :vlax-true)))
						(if (= te3 1) (vl-catch-all-apply 'vla-put-freeze (list MyLayer :vlax-true)))
						(setq te1 0 te2 0 te3 0)
					
					)
				)
		)


		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:usstawar ( / ) 

	(if (mh:qawa)
		(progn
			(mh:ustzap)
				(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nWykona polecenie \"Purge All\"?" "\nExecute the \"Purge All\" command?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
					;(command "_-purge" "_a" "" "_n")
					;(vla-PurgeAll (mh:ACX_ActivDocument))
					(mh:SYS_PurgeAll)
				)
				(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nWykona polecenie \"Audit\" i naprawi bdy?" "\nExecute the \"Audit\" command and fix the errors?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
					(mh:SYS_Audit)
					;(command "_audit" "_y")
					;(vla-auditinfo (mh:ACX_ActivDocument) 1)
					;(vla-auditinfo (mh:ACX_ActivDocument) :vlax-true)
				)
				(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nUsun zapisane stany warstw?" "\nRemove saved layer states?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
					(mh:DelLayStates)
				)
				(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nUsun zapisane filtry warstw?" "\nRemove saved layer filters?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
					(mh:DelLayFilters)
				)
				(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nZresetowa zapisane w pliku listy skal?" "\nReset the scale lists saved in the file?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
					(progn
						(command "_-SCALELISTEDIT" "_r" "_y" "_e")	
						;(setvar "ANNOAUTOSCALE" 0)
						;(setvar "ANNOALLVISIBLE" 0)
					)
				)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if

(princ)
)
;=========================================================================

;=========================================================================
(defun c:czyscpodklad-old01 ( / P1 wymiary EElist % kolor grubo wipeoutyzb MyLayer)
(if (mh:qawa)
	(progn

		;(mh:ustzap)
		(setvar "CMDECHO" 0) ; to dostawione a skasowane na poczatku i na koncu po jednej linijce - nie wiem czemu ale tylko tak dziala na zwcad+



		(if (= 
				(nth *lang* (list "Tak" "Yes"))	;LANG;
				(mh:GetChoisText
					(nth *lang* (list "\nOdblokowa wszystkie warstwy?" "\nUnlock all layers?"))	;LANG;
					(list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No")))	;LANG;
					(nth *lang* (list "Tak" "Yes")))	;LANG;
			)
			(progn
				(foreach % (mh:GetLayers "*")
					(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
						;(if (= :vlax-false (vla-get-layeron MyLayer))
						;		(vla-put-layeron MyLayer :vlax-true)
						;)
						(if (= :vlax-true (vla-get-lock MyLayer))
								(vla-put-lock MyLayer :vlax-false)
						)
						;(if (= :vlax-true (vla-get-freeze MyLayer))
						;		(vla-put-freeze MyLayer :vlax-false)
						;)
				)
			)
		)
		
		(if	(setq P1 (getpoint (nth *lang* (list "\nPodaj punkt wstawienia tego rysunku / punkt 0,0 przy wstawianiu insertem. [ENTER - bez zmian]" "\nEnter the insertion point of this drawing / point 0,0 when inserting as reference. [ENTER - no changes]"))))	;LANG;
			(command "_insbase" P1)
		)

		(command "_audit" "_y")
		;(vla-auditinfo (mh:ACX_ActivDocument) 1)
		;(vla-auditinfo (mh:ACX_ActivDocument) :vlax-true)
		
		;(command "_-purge" "_a" "" "_n")
		(vla-PurgeAll (mh:ACX_ActivDocument))
		
		
		(foreach % (mh:GetLayers "*")
		(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
			(if (or (= :vlax-false (vla-get-layeron MyLayer)) (= :vlax-true (vla-get-freeze MyLayer)))
				(progn
					;(if (= :vlax-false (vla-get-layeron MyLayer))
					;	(progn
					;		(vla-put-layeron MyLayer :vlax-true)
					;	)
					;)
					(if (= :vlax-true (vla-get-lock MyLayer))
						(progn
							(vla-put-lock MyLayer :vlax-false)
						)
					)
					;(if (= :vlax-true (vla-get-freeze MyLayer))
					;	(progn
					;		(vla-put-freeze MyLayer :vlax-false)
					;	)
					;)
				)
					
			)
		)
		
		
		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nZmieni wszystkie elementy na \"JAK WARSTWA\" <wybierz NIE dla podkadw PZT>?" "\nChange all elements to \"ByLayer\" <select No for PZT references>?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
			(progn
				(if (or
						(= (getvar "PRODUCT") "AutoCad")
						(= (getvar "PRODUCT") "GstarCAD")
					);or
					(progn
						(command "_-SCALELISTEDIT" "_r" "_y" "_e")
						(setvar "SETBYLAYERMODE" 5) ; byo 125
						(command "_setbylayer" "_all" "" "_y" "_y")
						
						(setvar "ANNOAUTOSCALE" 0)
						(setvar "ANNOALLVISIBLE" 0)
					)
					(progn
						(c:mhSetByLayer)
					)
				)
			)
		)
				
				
				
		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nSkasowa wymiary?" "\nDelete dimensions?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
			(if (setq wymiary (ssget "_x" (list (cons 0 "DIMENSION"))))
				(progn
					(setq EElist (mh:CON_ss2vlaobject wymiary))
					(foreach % EElist
						(vl-catch-all-apply 'vla-delete (list %))
					)
				);progn
			);if
		);if
		
		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nSkasowa Wipeouty?" "\nDelete Wipeouts?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
			(if (setq wipeoutyzb (ssget "_x" (list (cons 0 "WIPEOUT"))))
				(progn
					(setq EElist (mh:CON_ss2vlaobject wipeoutyzb))
					(foreach % EElist
						(vl-catch-all-apply 'vla-delete (list %))
					)
				);progn
			);if
		);if
		
		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nUsun elementy niewidoczne na niewidocznych i zamroonych warstwach?" "\nRemove invisible elements on invisible and frozen layers?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Nie" "No"))))	;LANG;
			(c:uswarniewid)
		)
		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nUsun zapisane stany warstw?" "\nRemove saved layer states?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
			(mh:DelLayStates)
		)
		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "nUsun zapisane filtry warstw?" "\nRemove saved layer filters?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
			(mh:DelLayFilters)
		)
		
		
		
		
	;=========================================================================
	(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nZmieni kolor i grubo wszystkich warstw? <wybierz NIE dla podkadw PZT>" "\nChange the color and lineweight of all layers? <select NO for PZT references>")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
		(progn
			(setq	kolor	(mh:UiGetInt (nth *lang* (list "\nPodaj nowy kolor wszystkich warstw: " "\nEnter a new color for all layers: ")) 251)	;LANG;
					grubo	(mh:GetChoisText (nth *lang* (list "\nPodaj grubo linii wszystkich warstw:" "\nEnter the lineweight of the lines of all layers:")) (list "000" "005" "009" "013" "015" "018" "020" "025" "030" "035" "040" (nth *lang* (list "BezZmian" "NoChange"))) (nth *lang* (list "BezZmian" "NoChange")))	;LANG;
			)
			
			(foreach % (mh:GetLayers "*")
				(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) kolor))
				(if (/= grubo (nth *lang* (list "BezZmian" "NoChange")))	;LANG;
					(vl-catch-all-apply 'vla-put-Lineweight (list (vla-item (mh:ACX_LayersCollection) %) grubo))
				);if
			)
		);progn
	);if
	;=========================================================================	
		
		
		
	;	(if (= "Tak" (mh:GetChoisText "\nUsun odnoniki RASTROWE i WEKTOROWE z pliku? " '("Tak" "Nie") "Tak"))
	;		(progn
	;			(if (ssget "_x" (list (cons 0 "IMAGE")))
	;				(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "IMAGE"))))
	;						(vl-catch-all-apply 'vla-delete (list % "IS_XREF_IMAGE"))
	;				)
	;			)
	;
	;			(if (mh:GetXrefsNames)
	;				(if (ssget "_x" (list (cons 0 "INSERT") (cons 2 (nth 0 (mh:GetXrefsNames)))))
	;					(foreach % (mh:GetXrefsNames)
	;							(foreach %% (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "INSERT") (cons 2 %))))
	;								(vl-catch-all-apply 'vla-delete (list %% "IS_XREF_DWG"))
	;							)
	;					)
	;				)
	;			)
	;		);progn
	;	);if
	;	;(vl-catch-all-apply 'vla-delete (list (vla-item (mh:ACX_LayersCollection) %))) - przykad kasowania
		
	;=========================================================================	
	(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nWstawi znacznik punktu 0,0 ?" "\nInsert a point marker 0,0 ?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Nie" "No"))))	;LANG;
		(c:znacznik01 nil)
	)
	
	(command "_audit" "_y")
	;(vla-auditinfo (mh:ACX_ActivDocument) 1)
	;(vla-auditinfo (mh:ACX_ActivDocument) :vlax-true)
	
	;(command "_-purge" "_a" "" "_n")
	(vla-PurgeAll (mh:ACX_ActivDocument))
	
	(command "_qsave") 
	(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nZamkn plik?" "\nClose the file?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes")))) (command "_close"))	;LANG;
	;=========================================================================	
	;(mh:ustprzywr)

	);progn (mh:qawa)
	
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:czyscpodklad ( / TRYB P1 warstwydozostawienia wymiary EElist % kolor grubo wipeoutyzb MyLayer)
(if (mh:qawa)
	(progn

		;(mh:ustzap)
		(setvar "CMDECHO" 0) ; to dostawione a skasowane na poczatku i na koncu po jednej linijce - nie wiem czemu ale tylko tak dziala na zwcad+
		(setvar "INSUNITS" 5) ; ustawiamy jednostki na cm
		;=========================================================================
		(setq TRYB	(mh:GetChoisText
						(nth *lang* (list "\nRodzaj czyszczonego odnonika:" "\nType of cleaned reference:"))	;LANG;
						(list (nth *lang* (list "Rzut" "Plan")) (nth *lang* (list "PZT" "Land")))	;LANG;
						(nth *lang* (list "Rzut" "Plan"))	;LANG;
					)
		)
		;=========================================================================
		; odblokowujemy wszystkie warstwy - w kadym trybie
		(progn
			(foreach % (mh:GetLayers "*")
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
					(if (= :vlax-true (vla-get-lock MyLayer))
							(vla-put-lock MyLayer :vlax-false)
					)
			)
		)
		;=========================================================================
		; ustali punkt wstawienia - w kadym trybie
		(if	(setq P1 (getpoint (nth *lang* (list "\nPodaj punkt wstawienia tego rysunku / punkt 0,0 przy wstawianiu insertem. [ENTER - bez zmian]" "\nEnter the insertion point of this drawing / point 0,0 when inserting as reference. [ENTER - no changes]"))))	;LANG;
			(setvar "INSBASE" P1)
		)
		;=========================================================================
		; audit i purgeall - w kadym trybie
		(mh:SYS_Audit)
		(mh:SYS_PurgeAll)
		;=========================================================================
		; ustawi SETBYLAYER - tylko w trybie RZUTY
		(if (=
				TRYB
				(nth *lang* (list "Rzut" "Plan"))	;LANG;
			)
			(progn
				(if (or
						(= (getvar "PRODUCT") "AutoCad")
						(= (getvar "PRODUCT") "GstarCAD")
					);or
					(progn
						(command "_-SCALELISTEDIT" "_r" "_y" "_e")
						(setvar "SETBYLAYERMODE" 5) ; byo 125
						(command "_setbylayer" "_all" "" "_y" "_y")
						
						(setvar "ANNOAUTOSCALE" 0)
						(setvar "ANNOALLVISIBLE" 0)
					)
					(progn
						(c:mhSetByLayer)
					)
				)
			)
		)
		;=========================================================================
		; skasowac wymiary w kazdym trybie
		(if (setq wymiary (ssget "_x" (list (cons 0 "DIMENSION"))))
			(progn
				(setq EElist (mh:CON_ss2vlaobject wymiary))
				(foreach % EElist
					(vl-catch-all-apply 'vla-delete (list %))
				)
			);progn
		);if
		;=========================================================================
		;skasowac wipeouty - w kazdym trybie
		(if (setq wipeoutyzb (ssget "_x" (list (cons 0 "WIPEOUT"))))
			(progn
				(setq EElist (mh:CON_ss2vlaobject wipeoutyzb))
				(foreach % EElist
					(vl-catch-all-apply 'vla-delete (list %))
				)
			);progn
		);if
		;=========================================================================
		; usuwa warstwy niewidoczne i zamrozone - w kazdym trybie
		(c:uswarniewid)
		;=========================================================================
		; usuwa zapisane stany warstw - w kazdym trybie
		(mh:DelLayStates)
		;=========================================================================
		; usuwa zapisane filtry warstw - w kazdym trybie
		(mh:DelLayFilters)
		;=========================================================================
		; zmienia kolor warstw i ich grubo na wybrane przez uzytkownika - tylko tryb RZUTY
		(setq warstwydozostawienia
			(list "Linia Ppo Przegroda REI15.arch" "Linia Ppo Przegroda EI15.arch" "Linia Ppo Przegroda REI30.arch" "Linia Ppo Przegroda EI30.arch" "Linia Ppo Przegroda REI60.arch" "Linia Ppo Przegroda EI60.arch" "Linia Ppo Przegroda REI120.arch" "Linia Ppo Przegroda EI120.arch" "Linia Ppo Przegroda REI240.arch" "Linia Ppo Przegroda EI240.arch"
			)
		)
		
		
		(if (=
				TRYB
				(nth *lang* (list "Rzut" "Plan"))	;LANG;
			)
			(progn
				;(setq	kolor	(mh:UiGetInt (nth *lang* (list "\nPodaj nowy kolor wszystkich warstw: " "\nEnter a new color for all layers: ")) 251)	;LANG;
				;		grubo	(mh:GetChoisText (nth *lang* (list "\nPodaj grubo linii wszystkich warstw:" "\nEnter the lineweight of the lines of all layers:")) (list "000" "005" "009" "013" "015" "018" "020" "025" "030" "035" "040" (nth *lang* (list "BezZmian" "NoChange"))) (nth *lang* (list "BezZmian" "NoChange")))	;LANG;
				;)
				(setq	kolor 251
						grubo	(nth *lang* (list "BezZmian" "NoChange"))	;LANG;
				)
				
				(foreach %	(MH:List_Roznica(mh:GetLayers "*") warstwydozostawienia)
					(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) kolor))
					(if (/= grubo (nth *lang* (list "BezZmian" "NoChange")))	;LANG;
						(vl-catch-all-apply 'vla-put-Lineweight (list (vla-item (mh:ACX_LayersCollection) %) grubo))
					);if
				)
				;=====================================
				; tu uwagi pozostawiam te
				(setq	kolor 2)
				(foreach % (MH:List_Suma (mh:GetLayers "Uwag*") (mh:GetLayers "_Uwag*"))
					(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) kolor))
					(vla-put-Plottable (vla-add (mh:ACX_LayersCollection) %) :vlax-false)
				)
				;=====================================
				; tu sciany ppoz robie na kolorowo, przezroczyste i niedrukowalne
				(foreach % (list "Linia Ppo Przegroda REI240.arch" "Linia Ppo Przegroda EI240.arch")
					(if (tblsearch "Layer" %)
						(progn
							(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) 206))
							(mh:TRANS_setlaytrans % 50)	; to dziaa; u kubatury jest 25
							(vla-put-Plottable (vla-add (mh:ACX_LayersCollection) %) :vlax-false)
						)
					)
				)
				
				(foreach % (list "Linia Ppo Przegroda REI120.arch" "Linia Ppo Przegroda EI120.arch")
					(if (tblsearch "Layer" %)
						(progn
							(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) 135))
							(mh:TRANS_setlaytrans % 50)	; to dziaa; u kubatury jest 25
							(vla-put-Plottable (vla-add (mh:ACX_LayersCollection) %) :vlax-false)
						)
					)
				)
				
				(foreach % (list "Linia Ppo Przegroda REI60.arch" "Linia Ppo Przegroda EI60.arch")
					(if (tblsearch "Layer" %)
						(progn
							(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) 1))
							(mh:TRANS_setlaytrans % 50)	; to dziaa; u kubatury jest 25
							(vla-put-Plottable (vla-add (mh:ACX_LayersCollection) %) :vlax-false)
						)
					)
				)
				
				(foreach % (list "Linia Ppo Przegroda REI30.arch" "Linia Ppo Przegroda EI30.arch")
					(if (tblsearch "Layer" %)
						(progn
							(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) 140))
							(mh:TRANS_setlaytrans % 50)	; to dziaa; u kubatury jest 50
							(vla-put-Plottable (vla-add (mh:ACX_LayersCollection) %) :vlax-false)
						)
					)
				)
				
				(foreach % (list "Linia Ppo Przegroda REI15.arch" "Linia Ppo Przegroda EI15.arch")
					(if (tblsearch "Layer" %)
						(progn
							(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) 52))
							(mh:TRANS_setlaytrans % 50)	; to dziaa; u kubatury jest 50
							(vla-put-Plottable (vla-add (mh:ACX_LayersCollection) %) :vlax-false)
						)
					)
				)
				;=====================================
				
			);progn
			; dla pzt nadac przezroczystosc hatchom solidowym czyli konkretnym warstwom
			(foreach % (list "Z_1_Powierzchnia_Utwardzona" "Z_2_Powierzchnia Zabudowy" "Z_3_Powierzchnia Biologicznie Czynna" "Z_Chodnik" "Z_Droga Ppo"
							"Z_1_Powierzchnia_Utwardzona.pzt" "Z_2_Powierzchnia Zabudowy.pzt" "Z_3_Powierzchnia Biologicznie Czynna.pzt" "Z_Chodnik.pzt" "Z_Droga Ppo.pzt"
							"chodnik montecassino_wypelnienia.konc" "ulica mcdonald na rzucie koncpecja.v4" "DR_pzt_hatch" "Z_Wypenienie.pzt")
				(mh:TRANS_setlaytrans % 50)
			)
		);if
		;=========================================================================	
						;	(if (= "Tak" (mh:GetChoisText "\nUsun odnoniki RASTROWE i WEKTOROWE z pliku? " '("Tak" "Nie") "Tak"))
						;		(progn
						;			(if (ssget "_x" (list (cons 0 "IMAGE")))
						;				(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "IMAGE"))))
						;						(vl-catch-all-apply 'vla-delete (list % "IS_XREF_IMAGE"))
						;				)
						;			)
						;
						;			(if (mh:GetXrefsNames)
						;				(if (ssget "_x" (list (cons 0 "INSERT") (cons 2 (nth 0 (mh:GetXrefsNames)))))
						;					(foreach % (mh:GetXrefsNames)
						;							(foreach %% (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "INSERT") (cons 2 %))))
						;								(vl-catch-all-apply 'vla-delete (list %% "IS_XREF_DWG"))
						;							)
						;					)
						;				)
						;			)
						;		);progn
						;	);if
						;	;(vl-catch-all-apply 'vla-delete (list (vla-item (mh:ACX_LayersCollection) %))) - przykad kasowania
							
		;=========================================================================	
		; wztawia znacznik punktu 0,0 - w kazdym trybie
		(c:znacznik01 (getvar "INSBASE"))
		;=========================================================================
		; audit i purgeall - w kadym trybie
		(mh:SYS_Audit)
		(mh:SYS_PurgeAll)
		(command "_qsave") 
		;=========================================================================
		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nZamkn plik?" "\nClose the file?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes")))) (command "_close"))	;LANG;
		;=========================================================================	
		;(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:ZmWspSkali ( / % mnoznik MyLayer)
(if (mh:qawa)
	(progn

		(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nOdmrozi, odblokowa i wczy wszystkie warstwy?" "\nDefreeze, unlock and enable all layers?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
			(progn
				(foreach % (mh:GetLayers "*")
					(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
						(if (= :vlax-false (vla-get-layeron MyLayer))
								(vla-put-layeron MyLayer :vlax-true)
						)
						(if (= :vlax-true (vla-get-lock MyLayer))
								(vla-put-lock MyLayer :vlax-false)
						)
						(if (= :vlax-true (vla-get-freeze MyLayer))
								(vla-put-freeze MyLayer :vlax-false)
						)
				)
			)
		)

		(setq mnoznik (getreal (nth *lang* (list "\nPodaj o ile pomnoy \"Skal Rodzaju Linii\" wszystkich obiektw w pliku: " "\nSpecify how many multiply the \"Linetype Scale\" of all objects in the file: "))))	;LANG;
			
		(foreach % (mh:CON_ss2vlaobject (ssget "_X"))
			(vla-put-LinetypeScale % (* mnoznik (vla-get-LinetypeScale %)))
		)

		(if (mh:GetBlocks nil) 
			(if (= (nth *lang* (list "Tak" "Yes")) (mh:GetChoisText (nth *lang* (list "\nObiekty wewntrz blokw rwnie?" "\nObjects inside blocks also?")) (list (nth *lang* (list "Tak" "Yes")) (nth *lang* (list "Nie" "No"))) (nth *lang* (list "Tak" "Yes"))))	;LANG;
			
				(progn
					(foreach blk (mh:GetBlocks nil)
						(foreach % (mh:CON_entity2vlaobject (mh:Get_Entity_In_BLKdef blk nil))
							(vla-put-LinetypeScale % (* mnoznik (vla-get-LinetypeScale %)))
						)
					)
				)
			)
		)	


		(vla-Regen (mh:ACX_ActivDocument) acAllViewports)	

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:war_pb ( / ECHO_MEMBER )
	(if (mh:qawa)
		(progn

			(setq ECHO_MEMBER (getvar "CMDECHO"))
			(setvar "CMDECHO" 0)


			;===========================================================================
			(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil nil)
			(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil nil)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;=============================================================

			;=============================================================
			(mh:warstwa "IS_PB_WZ" nil)
			(mh:warstwa "IS_PB_WC" nil)
			(mh:warstwa "IS_PB_WS" nil)
			(mh:warstwa "IS_PB_WL" nil)
			(mh:warstwa "IS_PB_WZ+WC" nil)
			(mh:warstwa "IS_PB_WC+CYRK" nil)
			(mh:warstwa "IS_PB_CO" nil)
			(mh:warstwa "IS_PB_CT" nil)
			(mh:warstwa "IS_PB_KS" nil)
			(mh:warstwa "IS_PB_KD" nil)
			(mh:warstwa "IS_PB_KT" nil)
			(mh:warstwa "IS_PB_HP" nil)
			(mh:warstwa "IS_PB_TR" nil)
			(mh:warstwa "IS_PB_R410A" nil)
			(mh:warstwa "IS_PB_R32" nil)
			;=============================================================

			;=============================================================
			(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
			(setvar "CELTYPE" "BYLAYER")
			(setvar "CELWEIGHT" -1)
			;=============================================================
			(mh:zmianawarstw
				'("IS_PB_WZ" "IS_PB_WC" "IS_PB_WS" "IS_PB_WL" "IS_PB_WZ+WC" "IS_PB_WC+CYRK" "IS_PB_CO" "IS_PB_CT" "IS_PB_KS" "IS_PB_KD" "IS_PB_KT" "IS_PB_HP" "IS_PB_TR" "IS_PB_R410A" "IS_PB_R32")
			)
			;=============================================================

			(setvar "CMDECHO" ECHO_MEMBER)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun war_pb
;=========================================================================

;=========================================================================
(defun c:war_gm ( / ECHO_MEMBER )
	(if (mh:qawa)
		(progn

			(setq	ECHO_MEMBER (getvar "cmdecho"))
			(setvar "cmdecho" 0)

			;===========================================================================
			(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil nil)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;===========================================================================
			(mh:warstwa "IS_gazy_medyczne_N2O" nil)
			(mh:warstwa "IS_gazy_medyczne_odcig_poanestetyczny" nil)
			(mh:warstwa "IS_gazy_medyczne_sprezone_powietrze" nil)
			(mh:warstwa "IS_gazy_medyczne_tlen" nil)
			;===========================================================================


			;=============================================================
			(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
			(setvar "CELTYPE" "BYLAYER")
			(setvar "CELWEIGHT" -1)
			;=============================================================


			;=============================================================
			(mh:zmianawarstw
				'("IS_gazy_medyczne_N2O" "IS_gazy_medyczne_odcig_poanestetyczny" "IS_gazy_medyczne_sprezone_powietrze" "IS_gazy_medyczne_tlen")
			)
			;=============================================================

			(setvar "CMDECHO" ECHO_MEMBER)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun war_gm
;=========================================================================

;=========================================================================
(defun c:war_teren ( / ECHO_MEMBER )
	(if (mh:qawa)
		(progn

			(setq	ECHO_MEMBER (getvar "cmdecho"))
			(setvar "cmdecho" 0)

			;===========================================================================
			(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil nil)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;===========================================================================
			(mh:warstwa "IS_teren_kreski_trawa" nil)
			(mh:warstwa "IS_teren_kreski_kostka" nil)
			(mh:warstwa "IS_teren_kreski_zielen" nil)
			;===========================================================================


			;=============================================================
			(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
			(setvar "CELTYPE" "BYLAYER")
			(setvar "CELWEIGHT" -1)
			;=============================================================

			;=============================================================
			(mh:zmianawarstw
				'("IS_teren_kreski_trawa" "IS_teren_kreski_kostka" "IS_teren_kreski_zielen")
			)
			;=============================================================


			(setvar "cmdecho" ECHO_MEMBER)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun war_teren
;=========================================================================

;=========================================================================
(defun c:obrlin ( / % listawarstw linie ilosclinii nnn xxx opislinii temp warstwalinii skalalinii kolorlinii styllinii grubosclinii AA BB AX AY BX BY )
(if (mh:qawa)
(progn

	(mh:ustzap)

	;=========================================================================
	(setq listawarstw
			(list 
				"IS_PB_WL"
				"IS_PB_WS"
				"IS_PB_WZ+WC"
				"IS_PB_WC+CYRK"
				"IS_PB_CO"
				"IS_PB_CT"
				"IS_gazy_medyczne_N2O"
				"IS_gazy_medyczne_odcig_poanestetyczny"
				"IS_gazy_medyczne_sprezone_powietrze"
				"IS_gazy_medyczne_tlen"
				"IS_PB_KD"
				"IS_PB_KS"
				"IS_PB_KT"
				"IS_PB_HP"
				"IS_PB_TR"
				"IS_PB_WZ"
				"IS_PB_R410A"
				"IS_PB_R32"
			);list
	);setq
	;=========================================================================



	;=========================================================================
	(foreach % listawarstw
		(if (tblsearch "Layer" %) ; czy jest warstwa w pliku
			(progn
				(setq	linie (ssget "_x" (list (cons 0 "LINE")(cons 8 %)))
				);setq

					(if linie 
					(progn

						(setq	ilosclinii (sslength linie)
								nnn ilosclinii
						);setq	zaznacza linie z warstwy %

						
						(repeat ilosclinii
								(setq 	xxx (- ilosclinii nnn)
										opislinii (entget (ssname linie xxx))) ; zmienna opislinii jest list zmiennych opisujc parametry linii
										
								; pobrac styl linii i ustawic jako aktualny
								(setq 	temp (assoc 48 opislinii)
										skalalinii (cdr temp));setq
								(if skalalinii (setvar "CELTSCALE" skalalinii) (setvar "CELTSCALE" 1.0))
								
								;pobra warstw i ustawi jako aktualn
								(setq 	temp (assoc 8 opislinii)
										warstwalinii (cdr temp));setq
								;(command "_clayer" warstwalinii)
								
								;pobra kolor i ustawic jako aktualny
								(setq 	temp (assoc 62 opislinii)
										kolorlinii (cdr temp));setq
								;(if kolorlinii (command "_CECOLOR" kolorlinii) (command "_CECOLOR" "256"))

								; pobrac styl linii i ustawic jako aktualny
								(setq 	temp (assoc 6 opislinii)
										styllinii (cdr temp));setq
								;(if styllinii (command "_celtype" styllinii) (command "_celtype" "BYLAYER"))

								; pobrac grubo i ustawi jako aktualn
								(setq 	temp (assoc 370 opislinii)
										grubosclinii (cdr temp));setq
								;(if grubosclinii (command "_celweight" grubosclinii) (command "_celweight" (- 0 1)))


								;pobra wsprzedne pocztku i koca linii,
								(setq 	AA (trans (cdr (assoc 10 opislinii)) 0 1); AAA to wsprzdne pocztku linii
										BB (trans (cdr (assoc 11 opislinii)) 0 1); BBB to wsprzdne koca linii
										AX (car AA)
										AY (car (cdr AA))
										BX (car BB)
										BY (car (cdr BB))
								);setq

								
								(if (or	(and (>= AX BX) (>= AY BY))
											(and (> AX BX) (<= AY BY))
									)
										(progn
											(entdel (cdr (assoc -1 opislinii)))
											(mh:ENT_Make_Line warstwalinii BB AA kolorlinii styllinii grubosclinii)
										);progn
								);if

								(setq nnn (1- nnn));setq
						);repeat
					);progn
					(princ (strcat (nth *lang* (list "\nNie ma linii do poprawienia na warstwie: \"" "\nThere is no line to correct on the layer: \"")) % "\" !!!"))	;LANG;
					);if
						
						
						
			);progn
			(princ (strcat (nth *lang* (list "\nNie ma w pliku warstwy: \"" "\nThere are no layers in the file: \"")) % "\" !!!"))	;LANG;
		);if
	);foreach
	;=========================================================================

		
	(mh:ustprzywr)  

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)	
);defun obrlin
;=========================================================================

;=========================================================================
(defun c:zaznaczwarstwe ( / warstwax )
(if (mh:qawa)
	(progn

		(princ (nth *lang* (list "\nWska warstw poprzez wskazanie obiektu: " "\nPoint the layer by indicating the object: ")))	;LANG;
		(setq warstwax (cdr (assoc 8 (entget (ssname (ssget "_:S") 0)))))

		(princ (nth *lang* (list "\nZaznacz elementy do wyboru: " "\nSelect the elements to choose from: ")))	;LANG;

		(mh:SYS_SetSelection
			(mh:CON_ss2entity
				(ssget
					(list
						(cons 8 warstwax)
					)
				)
			)
		)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:zaznaczdim ( / wybor)
; zaznacza tylko wymiary lub kreskowania na rysunku

(if (mh:qawa)
	(progn

		(setq wybor (mh:GetChoisText (nth *lang* (list "\nCo zaznacza?" "\nWhat to mark?")) (list (nth *lang* (list "Wymiary" "Dimensions")) (nth *lang* (list "Kreskowania" "Hatch"))) (nth *lang* (list "Wymiary" "Dimensions"))))	;LANG;

		(if (= wybor (nth *lang* (list "Wymiary" "Dimensions")))	;LANG;
			(mh:SYS_SetSelection
				(mh:CON_ss2entity
					(ssget
						(list
							(cons 0  "DIMENSION")
						)
					)
				)
			)
			
			(mh:SYS_SetSelection
				(mh:CON_ss2entity
					(ssget
						(list
							(cons 0  "HATCH")
						)
					)
				)
			)
		)
		
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun HATCH
;=========================================================================

;=========================================================================
(defun c:xrefynawarstwy ( / % %%) ; przeniesienie odnonikw na odpowiednie warstwy
(if (mh:qawa)
	(progn

		(mh:ustzap)

		(mh:warstwa "IS_opisy" nil)
		(mh:warstwa "IS_XREF_DWG" nil)
		(mh:warstwa "IS_XREF_IMAGE" nil)

		(if (ssget "_x" (list (cons 0 "IMAGE")))
			(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "IMAGE"))))
					(vl-catch-all-apply 'vla-put-layer (list % "IS_XREF_IMAGE"))
			)
		)

		(if (mh:GetXrefsNames)
			(if (ssget "_x" (list (cons 0 "INSERT") (cons 2 (nth 0 (mh:GetXrefsNames)))))
				(foreach % (mh:GetXrefsNames)
						(foreach %% (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "INSERT") (cons 2 %))))
							(vl-catch-all-apply 'vla-put-layer (list %% "IS_XREF_DWG"))
						)
				)
			)
		)

		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:putlayer ( / dcl_id lis_bra_war tytokna zamkniecie pozycje)
(if (mh:qawa)
	(progn

		(if (mh:brakwarstw)
		(progn

		   (setq dcl_id (load_dialog (nth *lang* (list "profilek-warstwy.dcl" "profilek-warstwy_EN.dcl"))))	;LANG;
				(if (not (new_dialog "putlayer" dcl_id))
					(progn
						(alert (nth *lang* (list "Nie znaleziono pliku profilek-warstwy.dcl" "File not found profilek-warstwy_EN.dcl")))	;LANG;
						(exit)
					);progn
				);if

				(setq	lis_bra_war	(mh:brakwarstw)
						tytokna		(nth *lang* (list "Wstawianie nowej warstwy." "Inserting a new layer."))	;LANG;
				);setq

					(start_list "key_lis_bra_war")
					(mapcar 'add_list lis_bra_war)
					(end_list)

					(set_tile "keytytokna" tytokna)

						   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
						   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
						   (action_tile "key_lis_bra_war" "(setq pozycje (mh:CON_Value2List $value))")

				   (start_dialog)
				   (unload_dialog dcl_id)

				   
				(if (= zamkniecie 1)
					(progn
						(if pozycje
							(if (= 1 (length pozycje))
								(foreach % pozycje
									(mh:warstwa (nth % lis_bra_war) T)
								)
								(foreach % pozycje
									(mh:warstwa (nth % lis_bra_war) nil)
								)
							);if
						);if
					);progn jeeli wcinito OK

				);if
		);progn
		(alert (nth *lang* (list "Brak warstw do dodania. Wszystkie warstwy z nakadki s ju w pliku \"dwg\" !!!" "No layers to add. All layers from the application are already in the \"dwg\" file !!!")))	;LANG;
		);if

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:mhSetByLayerbez95 (/ lista_z_1 lista_z_ss) ; wasne SETBYLAYER :-)
(mh:ustzap)

									(defun cd:ENT_SetDXF (Ename Code Val / dt new)
									; =========================================================================================== ;
									; Zmiana danych DXF obiektu / Set the DXF data of object                                      ;
									;  Ename [ENAME] - nazwa entycji / entity name                                                ;
									;  Code  [INT]   - kod pary DXF / code of dotted pair                                         ;
									;  Val   [LIST/INT/REAL/STR/ENAME] - wartosc / value                                          ;
									; ------------------------------------------------------------------------------------------- ;
									; (cd:ENT_SetDXF (entlast) 70 129)                                                            ;
									; =========================================================================================== ;
									  (setq new
										(if (not (assoc Code (setq dt (entget Ename))))
										  (append dt (list (cons Code Val)))
										  (subst
											(cons Code Val)
											(assoc Code dt)
											dt
										  )
										)
									  )
									  (entmod new)
									)



	(if (mh:GetBlocks nil)
		(foreach blk (mh:GetBlocks nil)
			(setq lista_z_1 (mh:Get_Entity_In_BLKdef blk nil))
			(foreach % lista_z_1
					(cd:ENT_SetDXF % 62 256)
					(cd:ENT_SetDXF % 370 -1)
			)
		)
	)
	
	(if (ssget "_x" (list (cons 0 "INSERT")))
		(progn
			(setq lista_z_ss (mh:CON_ss2entity (ssget "_x" (list (cons 0 "INSERT")))))
				(foreach % lista_z_ss
						(foreach %1 (mh:Get_AttRib_In_BLK  %)
								(cd:ENT_SetDXF %1 62 256)
								(cd:ENT_SetDXF %1 370 -1)
						)
				)
		)
	)
	
	
	(if (ssget "_x")
		(progn
			(setq lista_z_ss (mh:CON_ss2entity (ssget "_x")))
				(foreach % lista_z_ss
						(if (and
								(/= (cdr (assoc 62 (entget %))) 95)
								(/= (cdr (assoc 62 (entget %))) 105)
								(/= (cdr (assoc 62 (entget %))) 15)	;dodane dla asi
								;(/= (cdr (assoc 62 (entget %))) 1)
								;(/= (cdr (assoc 62 (entget %))) 3)
							)
							(cd:ENT_SetDXF % 62 256)
						)
						(cd:ENT_SetDXF % 370 -1)
				)
		)
	)
	(vla-Regen (mh:ACX_ActivDocument) acAllViewports)
	
	
(mh:ustprzywr)
)
;=========================================================================
