///////////////////////////////
//  okno gwne komendy DR2  //
///////////////////////////////
profildr : dialog {
  label = "Describing longitudinal road profiles";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapion";
      label = "Vertical scale <1:yyy>: ";
    }
	: edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapoziom";
      label = "Horizontal scale <1:xxx>: ";
    }
	: edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_POZIOM";
      label = "Enter the value of the level cf. [m]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_odl0";
      label = "Distance for a point \"0\" [m]: ";
    }
    spacer;
  }
  : boxed_column {
    label = "Settings:";
    : popup_list {
	  edit_width = 20;
      label = "Describing collisions:";
	  key = "DCL_opis_kolizji";
    }
    : popup_list {
	  edit_width = 20;
      label = "Table metric:";
	  key = "DCL_METRYKA";
    }
	: popup_list {
	  edit_width = 20;
      label = "Profile legend:";
	  key = "DCL_rys_legendy";
    }
    spacer;
  }
  ok_cancel;
}

///////////////////////////////
//  okno gwne komendy DR3  //
///////////////////////////////
lukpionowy : dialog {
  label = "Drawing a vertical arc";
  : boxed_column {
    label = "Scale data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapion_luk_pio";
      label = "Vertical scale <1:yyy>: ";
    }
	: edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapoziom_luk_pio";
      label = "Horizontal scale <1:xxx>: ";
    }
	: edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_POZIOM";
      label = "Enter the value of the level cf. [m]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_odl0";
      label = "Distance for a point \"0\" [m]: ";
    }
    spacer;
	}
  : boxed_column {
    label = "Arc data:";
	: popup_list {
	  edit_width = 20;
      label = "Known arc parameter:";
	  key = "DCL_znana_luku_pionowego";
    }
	: edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_wielkosc_znanej_luku_pionowego";
      label = "Size known parameter. <m>: ";
    }
    spacer;
  }
  : boxed_column {
    label = "Other settings:";
	: popup_list {
	  edit_width = 20;
      label = "Describe the ordinate min/max of the arc?";
	  key = "DCL_minmax_luku_pionowego";
    }
	: popup_list {
	  edit_width = 20;
      label = "Describe the ordinate of the center of the arc?";
	  key = "DCL_opisSRODKA_luku";
    }
    spacer;
  }
  
  ok_cancel;
}
